Skip to content
Endless Documentation

List Canvases

GET
/organizations/{organization_id}/canvases

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Length1 <= length

Query Parameters

filter?string
Default"all"

Value in

  • "all"
  • "mine"
  • "shared"
search?string
limit?integer
Range1 <= value <= 100
cursor?string

Response Body

application/json

curl -X GET "https://example.com/organizations/org_abc123/canvases"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "owner_id": "string",      "organization_id": "string",      "name": "string",      "description": "string",      "icon": "string",      "color": "string",      "thumbnail_url": "string",      "visibility": "private",      "last_activity_at": "2019-08-24T14:15:22Z",      "deleted_at": "2019-08-24T14:15:22Z",      "deleted_by_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "created_by": {        "id": "string",        "first_name": "string",        "last_name": "string",        "email": "string",        "image_url": "string"      }    }  ],  "next_cursor": "string"}